Page MenuHomePhabricator

Remove PDF banner on Special:ElectronPdf
Closed, ResolvedPublic3 Story Points

Description

We need to remove the banner appearing on the PDF download page (https://en.wikipedia.org/w/index.php?title=Special:ElectronPdf&page=Main+Page&action=show-download-screen) after

Acceptance criteria

  • Make sure the proton renderer has been live for at least two weeks
  • Remove banner

QA

  1. Visit https://en.wikipedia.beta.wmflabs.org/wiki/Dog
  2. Tap "Download as PDF"
  3. Ensure the yellow banner is gone!
NOTE: we will only remove this banner, the books banner will stay up until we can get the books functionality back.

Details

Related Gerrit Patches:
mediawiki/extensions/ElectronPdfService : masterRevert "Add warning message to Special:ElectronPdf"

Event Timeline

ovasileva triaged this task as High priority.Dec 3 2018, 11:11 AM
ovasileva created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 11:11 AM
ovasileva set the point value for this task to 2.Dec 5 2018, 5:34 PM
ovasileva moved this task from Triage to Tracking on the Proton board.Feb 22 2019, 3:04 PM
ovasileva edited projects, added PDF-Rendering; removed Proton.Feb 25 2019, 4:45 PM
Jdlrobson changed the task status from Open to Stalled.Apr 3 2019, 3:41 AM
Jdlrobson added a subscriber: Jdlrobson.

This is stalled as I understand it.

TheDJ changed the task status from Stalled to Open.Jun 4 2019, 12:24 PM
TheDJ moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
ovasileva changed the point value for this task from 2 to 3.Jun 4 2019, 4:10 PM
Aklapper renamed this task from Remove PDF banner to Remove PDF banner on Special:ElectronPdf.Jun 5 2019, 10:24 AM

Change 517714 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/ElectronPdfService@master] Revert "Add warning message to Special:ElectronPdf"

https://gerrit.wikimedia.org/r/517714

Change 517714 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Revert "Add warning message to Special:ElectronPdf"

https://gerrit.wikimedia.org/r/517714

Edtadros added a subscriber: Niedzielski.

@Niedzielski I can't seem to find the download as pdf link. I tried it Logged In/Out, AMC ON/OFF, Beta ON/OFF, Mobile and Desktop.

@Edtadros, sorry, you need to be on the desktop site.

Edtadros reassigned this task from Edtadros to ovasileva.Jun 20 2019, 2:04 AM

@Niedzielski, of course I missed that....of course...

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

QA

  1. Visit https://en.wikipedia.beta.wmflabs.org/wiki/Dog
  2. Tap "Download as PDF"
  3. Ensure the yellow banner is gone!

✅ AC1:

ovasileva closed this task as Resolved.Jun 20 2019, 3:22 PM

Looks good!